{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-other-api/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"Revenue API authentication"},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"revenue-api-authentication","__idx":0},"children":["Revenue API authentication"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Revenue APIs that use Zuora OneID authenticate with OAuth 2.0 client credentials. Register an OAuth client, request an access token, and send the token as a bearer token on each request."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"base-url","__idx":1},"children":["Base URL"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["As part of the transition to OneID OAuth authentication, the host name for all Revenue API endpoints has changed to ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["one.zuora.com"]},"."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Environment"},"children":["Environment"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Example"},"children":["Example"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Legacy"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["https://customer-snd01.revprooncloud.com/api/integration/v1/journal/list"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["OneID OAuth"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["https://one.zuora.com/revenue/api/integration/v1/journal/list"]}]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"1-register-an-oauth-client","__idx":2},"children":["1. Register an OAuth client"]},{"$$mdtype":"Tag","name":"ol","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["In the OneID Admin Console, go to ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Settings"]}," > ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Manage OAuth 2.0 Clients"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Click ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["New"]},", then ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["API access"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Configure the client:",{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Integration name:"]}," A descriptive name, such as ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Revenue OneID client"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Product line:"]}," ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Revenue"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Authorization Grant Type:"]}," ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Client Credentials"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Scope Type:"]}," ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["User"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Select User:"]}," The API user login name"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Tenant ID:"]}," The Revenue tenant to access"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Click ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Save"]},". Copy the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Client ID"]}," and ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Client Secret"]},". The secret is shown only once."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["For more information, see ",{"$$mdtype":"Tag","name":"a","attributes":{"href":"https://docs.zuora.com/en/zuora-platform/security-and-identity/oneid---identity-and-access-management/manage-oauth-2.0-clients/create-oauth-tokens-for-calling-revenue-apis","target":"_blank"},"children":["Create OAuth tokens for calling Revenue APIs"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"2-get-an-access-token","__idx":3},"children":["2. Get an access token"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Send your client credentials to the OneID token endpoint."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Method"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["URL"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["https://one.zuora.com/oauth2/token"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Header"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Content-Type: application/x-www-form-urlencoded"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Body"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["client_id"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["client_secret"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["grant_type=client_credentials"]}]}]}]}]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --request POST \\\n  --url 'https://one.zuora.com/oauth2/token' \\\n  --header 'Content-Type: application/x-www-form-urlencoded' \\\n  --data-urlencode 'client_id=<clientId>' \\\n  --data-urlencode 'client_secret=<clientSecret>' \\\n  --data-urlencode 'grant_type=client_credentials'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["A successful response includes ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["access_token"]},". Tokens typically expire in 3599 seconds (about one hour). Reuse the token until it expires."]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"access_token\": \"<access_token>\",\n  \"token_type\": \"Bearer\",\n  \"expires_in\": 3599\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"3-call-a-revenue-api","__idx":4},"children":["3. Call a Revenue API"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Add the token to the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Authorization"]}," header as ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Bearer <access_token>"]},". In Postman, set the authorization type to Bearer Token and paste the token value."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["For example:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --request GET \\\n  --url 'https://one.zuora.com/revenue/api/integration/v1/journal/list' \\\n  --header 'Authorization: Bearer <access_token>' \\\n  --header 'Content-Type: application/json'\n","lang":"bash"},"children":[]}]},"headings":[{"value":"Revenue API authentication","id":"revenue-api-authentication","depth":1},{"value":"Base URL","id":"base-url","depth":2},{"value":"1. Register an OAuth client","id":"1-register-an-oauth-client","depth":2},{"value":"2. Get an access token","id":"2-get-an-access-token","depth":2},{"value":"3. Call a Revenue API","id":"3-call-a-revenue-api","depth":2}],"frontmatter":{"markdown":{"toc":{"hide":false}},"seo":{"title":"Revenue API authentication"}},"lastModified":"2026-10-14T23:16:07.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/other-api/revenue-api-authentication","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}